Subject: bug#43386: 27.1; Regression in `report-emacs-bug'

From: Drew Adams <[email-masked]>
Date: Mon, 14 Sep 2020 00:29:50 +0000 (UTC)

> >> What is the question it asks you, exactly?
> >
> > "Save this mail sending choice? (y or n)"
> 
> Yes, that's about saving the MTA setup, and has nothing to do with the
> From address.
> 
> > In any case, in Emacs 26.3 (and prior), even
> > though the From has that crazy text, when I use
> > C-c C-c and tell Emacs to use my mail client,
> > the mail client window pops up perfectly, and
> > yes, my mail client knows what my email address
> > is.  The buffer *sent mail to [email-masked]*
> > still has the crazy From text, but Emacs doesn't
> > bother me.
> 
> Emacs now requires that the From address is valid, as you've
> discovered.  (Sending bug reports from an "emacs -Q" is a pretty strange
> choice anyway, but that's up to you.)
> 
> Things seem to be working as designed, so I'm closing this bug report.

That makes no sense whatsoever.

IF a user says to use THE MAIL CLIENT then it's up
to the user to provide the From field TO THE MAIL
CLIENT.  And typically the mail client will always
prefill that field correctly - the client knows the
user.

This is a ridiculous annoyance.  My guess is that
whoever implemented this did not take into account
the use case of sending via THE MAIL CLIENT.

The mail client makes NO USE of the From field
from Emacs.  (At least mine makes no use of it.)

Please DTRT, and fix this regression.

And yes, there are good reasons to sometimes submit
a bug report using emacs -Q.  I don't usually do
that, but sometimes I do.

Emacs should certainly NOT assume that there's NO
reason for it to support sending a report from
emacs -Q.  It's never done that, and it never should.